View a markdown version of this page

DeregisterAdmin - AWS re:Post Private

DeregisterAdmin

Note

End of support notice: On June 30, 2027, AWS will end support for AWS re:Post Private. After June 30, 2027, you will no longer be able to access the re:Post Private console or re:Post Private resources. For more information, see AWS re:Post Private end of support.

Removes the user or group from the list of administrators of the private re:Post.

Request Syntax

DELETE /spaces/spaceId/admins/adminId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

adminId

The ID of the admin to remove.

Required: Yes

spaceId

The ID of the private re:Post to remove the admin from.

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200

Response Elements

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

User does not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

Unexpected error during processing of request.

retryAfterSeconds

Advice to clients on when the call can be safely retried.

HTTP Status Code: 500

ResourceNotFoundException

Request references a resource which does not exist.

resourceId

The ID of the resource.

resourceType

The type of the resource.

HTTP Status Code: 404

ThrottlingException

Request was denied due to request throttling.

quotaCode

The code to identify the quota.

retryAfterSeconds

Advice to clients on when the call can be safely retried.

serviceCode

The code to identify the service.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

fieldList

The field that caused the error, if applicable.

reason

The reason why the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: